{
    attributes = (
        {
            columnName = IDKX10ELT; 
            externalType = VARCHAR2; 
            name = idkx10elt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 45; 
        }, 
        {
            columnName = "mois_code"; 
            externalType = NUMBER; 
            name = moisCode; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAGE_ID"; 
            externalType = NUMBER; 
            name = pageId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCAP_ETAT"; 
            externalType = VARCHAR2; 
            name = pcapEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = "PCAP_ID"; 
            externalType = NUMBER; 
            name = pcapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCAP_MONTANT"; 
            externalType = NUMBER; 
            name = pcapMontant; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PCAP_QUOTITE"; 
            externalType = NUMBER; 
            name = pcapQuotite; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (idkx10elt, moisCode, pageId, pcapEtat, pcapId); 
    className = "org.cocktail.kaki.server.metier.EOPafChargesAPayer"; 
    classProperties = (agent, kx10Element, mois, pcapEtat, pcapMontant, pcapQuotite); 
    externalName = "jefy_paf.PAF_CHARGES_A_PAYER"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (agent, kx10Element, mois, pcapEtat, pcapMontant, pcapQuotite); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafChargesAPayer"; 
    }; 
    name = PafChargesAPayer; 
    primaryKeyAttributes = (pcapId); 
    relationships = (
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = agent; 
        }, 
        {
            destination = Kx10Element; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx10elt; sourceAttribute = idkx10elt; }); 
            name = kx10Element; 
        }, 
        {
            destination = Mois; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = moisCode; sourceAttribute = moisCode; }); 
            name = mois; 
        }
    ); 
}
